import React, { useEffect, useContext } from 'react'
import PropTypes from 'prop-types'
import { GraphContext } from '../utils/index.js'


const Clear = ({
    width,
    height
}) => {
    const {canvas, simulation} = useContext(GraphContext)

    useEffect(() => {
        const ctx = canvas.current.getContext('2d')

        simulation.on('tick.clear', () => {
            ctx.clearRect(0, 0, width, height)
        })
    })

    return null
}

Clear.propTypes = {
    width: PropTypes.number,
    height: PropTypes.number
}

export default Clear