import React, { useState, useEffect } from 'react'
import { render } from 'react-dom'
import PropTypes from 'prop-types'


const Tooltip = ({
    component: Component,
    container,
    children
}) => {
    const [props, setProps] = useState(null)

    useEffect(() => {
        render(
            props ? <Component {...props} /> : null,
            container.current
        )
    }, [ props ])

    return (
        <React.Fragment>
            {children({ setTooltip: setProps })}
        </React.Fragment>
    )
}

Tooltip.propTypes = {
    component: PropTypes.func.isRequired,
    children: PropTypes.func.isRequired
}

export default Tooltip